Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.vividsolutions.jts.operation.overlay.snap
Class SnapOverlayOp

    java.lang.Object
      com.vividsolutions.jts.operation.overlay.snap.SnapOverlayOp

public class SnapOverlayOp
extends java.lang.Object

Performs an overlay operation using snapping and enhanced precision to improve the robustness of the result. This class always uses snapping. This is less performant than the standard JTS overlay code, and may even introduce errors which were not present in the original data. For this reason, this class should only be used if the standard overlay code fails to produce a correct result.

Version:
  1.7
Author:
  Martin Davis

Constructor Summary
`SnapOverlayOp(Geometry g1, Geometry g2)`

Method Summary
`static Geometry` | `difference(Geometry g0, Geometry g1)`
`Geometry` | `getResultGeometry(int opCode)`
`static Geometry` | `intersection(Geometry g0, Geometry g1)`
`static Geometry` | `overlayOp(Geometry g0, Geometry g1, int opCode)`
`static Geometry` | `symDifference(Geometry g0, Geometry g1)`
`static Geometry` | `union(Geometry g0, Geometry g1)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SnapOverlayOp

    public SnapOverlayOp(Geometry g1,
                         Geometry g2)

Method Detail

### overlayOp

    public static Geometry overlayOp(Geometry g0,
                                     Geometry g1,
                                     int opCode)

### intersection

    public static Geometry intersection(Geometry g0,
                                        Geometry g1)

### union

    public static Geometry union(Geometry g0,
                                 Geometry g1)

### difference

    public static Geometry difference(Geometry g0,
                                      Geometry g1)

### symDifference

    public static Geometry symDifference(Geometry g0,
                                         Geometry g1)

### getResultGeometry

    public Geometry getResultGeometry(int opCode)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD